Subject: Offline Message from J: I've only been charging my brand new envy for 2 hrs a
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Fri, 25 Mar 2022 01:31:26 -0000

From: J <[email-masked]>
Phone: 5102446297
Location: Los Banos, United States
URL: https://swagtron.com/product/swagcycle-envy-sce-1/
Department: SwagTron

I've only been charging my brand new envy for 2 hrs and the battery is red hot and I have no way of knowing if it's fully charged and the manual says 3.5 hrs possibly 5hrs when brand new as mine is and since battery is red hot in only 2 hrs I unplugged but scared to turn on

----
Zopim
https://www.zopim.com